## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenOperation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.codegen.ecore.genmodel.GenOperation, org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement, org.eclipse.emf.common.notify.Notifier

    public interface GenOperation

extends org.eclipse.emf.codegen.ecore.genmodel.GenOperation, GenTypedElement

A representation of the model object 'Gen Operation'.

The following features are supported:

- `Cache Adapter Scope`

See Also:
  `GenModelPackage.getGenOperation()`

Method Summary
`GenCacheAdapterScope` `getCacheAdapterScope()` Returns the value of the 'Cache Adapter Scope' attribute.
`java.lang.String` `getOCLBody()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation>` `getRedefinedGenOperations()`
`boolean` `hasOCLBody()`
`boolean` `isCached()`
`boolean` `isDuplicate()`
`boolean` `isRedefinition()`
`boolean` `isResourceCacheAdapterScope()`
`void` `setCacheAdapterScope(GenCacheAdapterScope value)` Sets the value of the '`Cache Adapter Scope`' attribute

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenOperation

`getBody, getCapName, getEcoreOperation, getFormattedName, getGenClass, getGenExceptions, getGenPackage, getGenParameters, getGenTypeParameters, getImportedMetaType, getImportedReturnType, getModelInfo, getName, getObjectReturnType, getParameterNames, getParameters, getParameters, getParameterTypes, getParameterTypes, getReturnType, getReturnTypeClassifier, getReturnTypeGenPackage, getThrows, getThrows, getTypeParameters, hasBody, hasGenericExceptions, hasParameterDocumentation, initialize, isInvariant, isOverrideOf, isOverrideOf, isPrimitiveReturnType, isVoid, reconcile, setEcoreOperation, setGenClass`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isMapType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isMapType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCacheAdapterScope

    GenCacheAdapterScope getCacheAdapterScope()

  Returns the value of the 'Cache Adapter Scope' attribute. The literals are from the enumeration `GenCacheAdapterScope`.

  If the meaning of the 'Cache Adapter Scope' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Adapter Scope' attribute.
  See Also:
    `GenCacheAdapterScope`, `setCacheAdapterScope(GenCacheAdapterScope)`, `GenModelPackage.getGenOperation_CacheAdapterScope()`

### setCacheAdapterScope

    void setCacheAdapterScope(GenCacheAdapterScope value)

  Sets the value of the '`Cache Adapter Scope`' attribute.

  Parameters:
    `value` - the new value of the 'Cache Adapter Scope' attribute.
  See Also:
    `GenCacheAdapterScope`, `getCacheAdapterScope()`

### isCached

    boolean isCached()

### isResourceCacheAdapterScope

    boolean isResourceCacheAdapterScope()

### isDuplicate

    boolean isDuplicate()

### isRedefinition

    boolean isRedefinition()

### getRedefinedGenOperations

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation> getRedefinedGenOperations()

### getOCLBody

    java.lang.String getOCLBody()

  Since:
    1.3

### hasOCLBody

    boolean hasOCLBody()

  Since:
    1.3

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.